## INTRODUCTION

The Content Reporting module is a custom reporting solution for Drupal 10 designed to offer detailed insights into page interactions, GDPR compliance, and flexible data management. This module allows site administrators to generate comprehensive reports, track user interactions, and manage data exports efficiently.

The primary use case for this module is:

- Tracking Page Interactions: Monitor and report on user interactions with pages, including views and engagement metrics.
- GDPR Compliance: Integrate with the eu_cookie_compliance module to track and report user consent for cookies, including consent categories.
- Data Export: Export report data to CSV format for offline analysis and record-keeping.

## REQUIREMENTS

- Drupal 10 and higher: This module is designed to work with Drupal 10 and above.

- eu_cookie_compliance: For GDPR compliance features, the eu_cookie_compliance module must be installed and configured.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION
- GDPR Settings: Ensure that the eu_cookie_compliance module is installed and properly configured to use GDPR consent tracking features.
- Inline Filters: Customize and use inline filters for querying data effectively.

## MAINTAINERS

Current maintainers for Drupal 10:

- Alberto Cocchiara (bigbabert) - https://www.drupal.org/u/bigbabert

